# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

# ebuild generated by hackport 0.4.5.9999

CABAL_FEATURES="bin lib profile haddock hoogle hscolour"
inherit haskell-cabal

DESCRIPTION="Compiler for a simple functional language"
HOMEPAGE="https://github.com/edwinb/EpiVM"
SRC_URI="https://hackage.haskell.org/package/${P}/${P}.tar.gz"

LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="dev-haskell/cabal:=[profile?]
	dev-haskell/mtl:=[profile?]
	>=dev-libs/boehm-gc-7.0:0=[threads]
	dev-libs/gmp:0=
	>=dev-lang/ghc-7.4.1:=
"
DEPEND="${RDEPEND}
	>=dev-haskell/cabal-1.8.0.4
	dev-haskell/happy
"
# Bug #438422, upstream at https://github.com/edwinb/EpiVM/issues/5.
PATCHES=(
	"${FILESDIR}"/${PN}-0.9.3.3-respect-user-cflags.patch
	"${FILESDIR}"/${PN}-0.9.3.3-ghc84.patch
)

src_prepare() {
	default

	# to disambiguare with net-irc/epic4, bug #432436
	cabal_chdeps \
		'Executable     epic' 'Executable     epic-epivm'
}
